Skip to main content
DELETE
/
base
/
{baseId}
/
node
/
folder
/
{folderId}
cURL
curl --request DELETE \
  --url https://app.teable.ai/api/base/%7BbaseId%7D/node/folder/%7BfolderId%7D \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
const url = 'https://app.teable.ai/api/base/%7BbaseId%7D/node/folder/%7BfolderId%7D';
const options = {method: 'DELETE', headers: {Authorization: 'Bearer REPLACE_BEARER_TOKEN'}};

try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}
const http = require('https');

const options = {
method: 'DELETE',
hostname: 'app.teable.ai',
port: null,
path: '/api/base/%7BbaseId%7D/node/folder/%7BfolderId%7D',
headers: {
Authorization: 'Bearer REPLACE_BEARER_TOKEN'
}
};

const req = http.request(options, function (res) {
const chunks = [];

res.on('data', function (chunk) {
chunks.push(chunk);
});

res.on('end', function () {
const body = Buffer.concat(chunks);
console.log(body.toString());
});
});

req.end();
import http.client

conn = http.client.HTTPSConnection("app.teable.ai")

headers = { 'Authorization': "Bearer REPLACE_BEARER_TOKEN" }

conn.request("DELETE", "/api/base/%7BbaseId%7D/node/folder/%7BfolderId%7D", headers=headers)

res = conn.getresponse()
data = res.read()

print(data.decode("utf-8"))



Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

baseId
string
required
folderId
string
required

Response

200

Deleted folder node (for client side cleanup)

Last modified on March 5, 2026